Bug 429263 - subscibe to RSS feed using external program fails
subscibe to RSS feed using external program fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 06:58 EST by Richard Kennedy
Modified: 2008-03-03 10:34 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 10:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Kennedy 2008-01-18 06:58:25 EST
Description of problem:
subscribing to a RSS feed fails everytime, when firefox configured to use 
liferea-add-feed.

Version-Release number of selected component (if applicable):
2.0.0.10-3.fc8

How reproducible:
always

Steps to Reproduce:
1.config firefox to use liferea-add-feed for RSS subscription
2.click on RSS feed icon
3.
  
Actual results:
Nothing happens!
Errors in the error console

Expected results:


Additional info:

Error: [Exception... "Component returned failure code: 0x80520006
(NS_ERROR_FILE_TARGET_DOES_NOT_EXIST)
[nsIShellService_MOZILLA_1_8_BRANCH.openApplicationWithURI]"  nsresult:
"0x80520006 (NS_ERROR_FILE_TARGET_DOES_NOT_EXIST)"  location: "JS frame ::
file:///usr/lib64/firefox-2.0.0.10/components/FeedConverter.js ::
FRS_addToClientReader :: line 339"  data: no]
Source File: file:///usr/lib64/firefox-2.0.0.10/components/FeedConverter.js
Line: 339
Comment 1 Matěj Cepl 2008-01-18 18:01:01 EST
Cannot reproduce with firefox-2.0.0.10-3.fc8 and liferea-1.4.10-1.fc8 (true,
this is i386; unfortunately I don't have F8 on x86_64 here).

Just to be sure, what happens when you run

liferea-add-feed http://www.tbray.org/ongoing/ongoing.atom

?
Comment 2 Richard Kennedy 2008-01-20 08:14:15 EST
from the command line running liferea-add-feed <src> works as expected.

Still get the same error in firefox subscribing to www.tbray.org/ongoing.

googling around showed ubuntu had a reported problem with this -- but they
didn't say what the fix was :( 
Comment 3 Matěj Cepl 2008-02-21 17:36:14 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-02-21 17:37:09 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Richard Kennedy 2008-02-23 12:26:17 EST
In that case I'll leave it until I upgrade to fedora 9 and test it again then.
I don't care enough about this to start installing beta software 
Comment 6 Matěj Cepl 2008-02-25 12:32:44 EST
That's why we mentioned upstream binary tarballs -- it is OK just to unpack
tarballs in any directory on your system (including under your $HOME) and then
run the firefox out of such directory. That’s BTW exactly what I am doing right
now (running FF3 from ~/redhat/firefox3/ on Fedora 8).
Comment 7 Richard Kennedy 2008-03-03 09:30:29 EST
I downloaded the firefox 3 beta 32 bit and I'm running from its own directory.

It can successfully add feeds to liferea, I tried both RSS & ATOM from
www.theregister.co.uk.

But there doesn't seem to be a 64 bit version of the beta, at least I couldn't
find it -- so I guess I'm not testing the same thing. 

(BTW -- firefox 3 has some problems in that can't find the theme engine "nodoka")

So I still can't really say if the problem is fixed. 
Comment 8 Matěj Cepl 2008-03-03 10:34:24 EST
I think there shouldn't be that much difference between i386 and x86_64 for
this. Let's say it has been fixed and you would reopen if it isn't, right? :-)

Note You need to log in before you can comment on or make changes to this bug.